bugGNU nano - Bugs: bug #44630, configure error on unusual setup

 
 

You are not allowed to post comments on this tracker with your current authentication level.

bug #44630: configure error on unusual setup

Submitted by:  None
Submitted on:  Wed 25 Mar 2015 06:44:53 PM UTC  
 
Severity:  2 - Minor Status:  Fixed
Assigned to:  Benno Schulenberg <bens> Open/Closed:  Closed

( Jump to the original submission)

Wed 31 Jul 2019 08:32:10 AM UTC, comment #17: 

Please post your issue as a new report. Paste the precise error message that you see.  And attach your full config.log to it.

(This issue is now locked.)

Benno Schulenberg <bens>
Project AdministratorIn charge of this item.
Sat 20 Jul 2019 09:21:57 AM UTC, comment #16: 

I'm building from 44d38815cc9f3ae16218530897b61ada24cb6414 using mips64-buildroot-linux-musl - still hitting this error. pkg-config is installed for the host system.

Is this something to do with cross compiling, or have I missed something else?

Adam Baxter <voltagex>
Thu 29 Nov 2018 09:20:47 PM UTC, comment #15: 

Confirmed to work as desired. Thank you!

Peter Passchier <pepa65>
Thu 29 Nov 2018 06:54:33 PM UTC, comment #14: 

Ah.  Of course: the configure script needs to check for pkg.m4 before the part of the script is reached that depends on the availability of that file to have been generated correctly.

I've moved the check further up and pushed the change to master, commit 7ca20711.  Thanks for reporting and for testing.

Benno Schulenberg <bens>
Project AdministratorIn charge of this item.
Wed 28 Nov 2018 11:03:43 PM UTC, comment #13: 

(I was wondering if libncursesw5-dev was installed already, the message for the missing pkg-config would appear, but this was also not the case...)

Peter Passchier <pepa65>
Wed 28 Nov 2018 10:56:21 PM UTC, comment #12: 

The patch somehow doesn't show up after ./autogen.sh && ./configure

Get the same error at the end:
./configure: line 34316: syntax error near unexpected token `NCURSESW,'
./configure: line 34316:                PKG_CHECK_MODULES(NCURSESW, ncursesw,'

Does the check maybe need to happen before checking NCURSESW?

Peter Passchier <pepa65>
Wed 28 Nov 2018 05:04:38 PM UTC, comment #11: 

I will test with a virgin install and report back.
As to README.GIT, yes, helpful document. The only thing that could be changed is to list libncursesw5-dev in the list of normally required packages, and perhaps say that if you build with a no-utf-8-support flag (however it is invoked) then it is not required. It seems UTF-8 support is default, and the build will (eventually) complain about libncursesw5-dev not being there.

Peter Passchier <pepa65>
Wed 28 Nov 2018 04:50:46 PM UTC, comment #10: 

Thanks for reporting.  Would the attached patch have alerted you to the problem with a clearer message?

(This is probably not the right way to check for the availability of the pkg.m4 macros, but I can't think of another way.)

By the way, README.GIT does mention which packages need to be installed when building from git, so strictly speaking the check should not be needed.  But I agree that it is nice when ./configure gives clear instead of cryptic error messages.

(file #45544)

Benno Schulenberg <bens>
Project AdministratorIn charge of this item.
Wed 28 Nov 2018 07:08:42 AM UTC, comment #9: 

I just ran into the exact same situation, got the current git repo (6bead051d2404ce5d1fad6b721658e70e2c60d5f) and installed packages as they were obviously missing. (I am building a script to build nano from scratch on new installations...) So I did:
./autogen.sh
./configure

And then the message (see OP) came up. So I installed pkg-config (after scouring the internet, because no message had given an indication that it was missing), then libncursesw5-dev was reported missing, and the rest went well (as long as you keep installing packages that are reported missing) after:
make
sudo make install

It would be helpful for the less initiated to have a message about pkg-config being needed or missing somewhere in the proces.

Peter Passchier <pepa65>
Thu 05 Nov 2015 04:47:53 PM UTC, comment #8: 

your dev system does not contain all the required packages.  you need to install the pkg-config dev package which includes pkg.m4.  otherwise the macro is undefined and it will be written verbatim to configure creating a syntax error.

not a bug in nano.

Mike Frysinger <vapier>
Project Member
Wed 29 Apr 2015 08:18:57 AM UTC, comment #7: 

For lack of feedback... closing.

Benno Schulenberg <bens>
Project AdministratorIn charge of this item.
Sat 28 Mar 2015 03:12:24 PM UTC, comment #6: 

It seems you have an unusual setup and that autoconf cannot find the pkg-config macros (pkg.m4).

How does autogen.sh fare when you add somewhere in configure.ac the line 'm4_pattern_forbid([PKG_CHECK_MODULES])'?  And can you get past that when you tell it where to find pkg.m4 by exporting PKG_CONFIG_PATH?

Benno Schulenberg <bens>
Project AdministratorIn charge of this item.
Thu 26 Mar 2015 08:47:43 PM UTC, comment #5: 

sysadm@giulietta $ ./autogen.sh
Copying file ABOUT-NLS
Copying file config.rpath
Copying file mkinstalldirs
Copying file po/Makefile.in.in
Copying file po/Rules-quot
Copying file po/boldquot.sed
Copying file po/en@boldquot.header
Copying file po/en@quot.header
Copying file po/insert-header.sin
Copying file po/quot.sed
Copying file po/remove-potcdate.sin
/opt/csw/share/aclocal/imlib.m4:9: warning: underquoted definition of AM_PATH_IMLIB
/opt/csw/share/aclocal/imlib.m4:9:   run info Automake 'Extending aclocal'
/opt/csw/share/aclocal/imlib.m4:9:   or see http://www.gnu.org/software/automake/manual/automake.html#Extending-aclocal
configure.ac:25: installing './config.guess'
configure.ac:25: installing './config.sub'
configure.ac:26: installing './install-sh'
configure.ac:26: installing './missing'
Makefile.am: installing './INSTALL'
doc/texinfo/Makefile.am:1: installing 'doc/texinfo/texinfo.tex'
src/Makefile.am: installing './depcomp'
s

Anonymous
Thu 26 Mar 2015 08:11:55 PM UTC, comment #4: 

What's the full output of ./autogen.sh in a brand new SVN checkout?

Benno Schulenberg <bens>
Project AdministratorIn charge of this item.
Wed 25 Mar 2015 09:01:52 PM UTC, comment #3: 

if eval "test x$CURSES_LIB_NAME = x"; then
    if test "x$enable_utf8" != xno; then
   PKG_CHECK_MODULES(NCURSESW, ncursesw,
       CURSES_LIB=$NCURSESW_LIBS
       CPPFLAGS="$NCURSESW_CFLAGS $CPPFLAGS"
       CURSES_LIB_NAME=ncursesw
       CURSES_LIB_WIDE=yes
   , :)
    else
   PKG_CHECK_MODULES(NCURSES, ncurses,
       CURSES_LIB=$NCURSES_LIBS
       CPPFLAGS="$NCURSES_CFLAGS $CPPFLAGS"
       CURSES_LIB_NAME=ncurses
   , :)
    fi
fi

Anonymous
Wed 25 Mar 2015 08:53:22 PM UTC, comment #2: 

Hi

Yes,  svn co svn://svn.savannah.gnu.org/nano/trunk

sysadm@giulietta $ autoconf --version
autoconf (GNU Autoconf) 2.69

 79  ./autogen.sh
   80  ./configure --prefix=/opt/tools/

Anonymous
Wed 25 Mar 2015 08:03:38 PM UTC, comment #1: 

How did you create 'configure'?  Because the 'configure' in the 2.4.0 source tarball does not contain anything with NCURSESW on or near line 8151.  Are you building from an SVN checkout?  Maybe then your autotools are too new or too old?

Benno Schulenberg <bens>
Project AdministratorIn charge of this item.
Wed 25 Mar 2015 06:44:53 PM UTC, original submission:  

checking for wctomb... yes
checking for wcwidth... yes
checking whether C compiler accepts -Wall... yes
checking return type of signal handlers... void
checking for vprintf... yes
checking for _doprnt... yes
checking for getopt_long... yes
./configure: line 8151: syntax error near unexpected token `NCURSESW,'
./configure: line 8151: `       PKG_CHECK_MODULES(NCURSESW, ncursesw,'
s

Anonymous

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by voltagex (Posted a comment)
  • -email is unavailable- added by pepa65 (Posted a comment)
  • -email is unavailable- added by vapier (Posted a comment)
  • -email is unavailable- added by bens (Posted a comment)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

     

     

    Follow 10 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2019-07-31 bens Discussion LockUnlocked => Locked
    2019-03-25 bens Open/ClosedOpen => Closed
    2018-11-29 bens StatusNeed Info => Fixed
    2018-11-28 bens Attached File- => Added 0001-build-verify-that-pkg.m4-is-available-when-building-.patch, #45544
        Severity3 - Normal => 2 - Minor
        Assigned toNone => bens
        Open/ClosedClosed => Open
    2015-04-29 bens Open/ClosedOpen => Closed
    2015-04-02 bens StatusNone => Need Info
        Summaryconfigure error => configure error on unusual setup

    Back to the top


    Powered by Savane 3.5